package tstuder.java.lib.component.table;

import com.objectspace.jgl.*;

public class TableRowSorter implements BinaryPredicate
{
  protected int _column;
  
  public TableRowSorter(int column)
  {
    _column=column;
  }
  
  public boolean execute(Object o1, Object o2)
  {
    try
    {
      TableRow tr1=(TableRow)o1;
      TableRow tr2=(TableRow)o2;
      String s1=tr1.getStrings()[_column];
      String s2=tr2.getStrings()[_column];
      try
      {
        double d1=Double.valueOf(s1).doubleValue();
        double d2=Double.valueOf(s2).doubleValue();
        return (d1>d2);
      }
      catch (Exception ex) {}
      return (0>s1.compareTo(s2));
    }
    catch (Exception ex) {}
    return false;
  }
}